Bug 112935 - RFE: ntpdate: log to both stderr AND syslog
RFE: ntpdate: log to both stderr AND syslog
Status: CLOSED WONTFIX
Product: Red Hat Raw Hide
Classification: Retired
Component: ntp (Show other bugs)
1.0
All Linux
low Severity medium
: ---
: ---
Assigned To: Harald Hoyer
Brian Brock
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-01-06 05:29 EST by Moritz Barsnick
Modified: 2007-03-27 00:13 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-07-29 11:46:46 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Moritz Barsnick 2004-01-06 05:29:52 EST
Description of problem:
ntpdate currently puts its results on stderr. If called with the 
switch "-s", it reports to the system log mechanism. I would like a 
possibility/option to have both - the syslog for reference, and 
stderr to see what happens.

Version-Release number of selected component (if applicable):
ntp-4.1.2-5

How reproducible:
always

Steps to Reproduce:
1. ntpdate my.time.server
2. ntpdate -s my.time.server
3. ntpdate -s -whatever my.time.server
  
Actual results:
1.  6 Jan 11:28:55 ntpdate[1899]: adjust time server 123.456.789.012 
offset -0.179602 sec
2. [nothing]
3. [not implemented]

Expected results:
1. same as above
2. same as above
3. same as "1."

Additional info:
I haven't contacted the author yet...
Comment 1 Harald Hoyer 2004-07-29 11:46:46 EDT
try logger

Note You need to log in before you can comment on or make changes to this bug.